<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
RemoveGroups Method (IEdmUserMgr7)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmUserMgr7 Interface : RemoveGroups Method (IEdmUserMgr7)

Visual Basic
C#
C++/CLI

poGroupIDs
  Array of IDs of the groups to remove (see Remarks)

Removes the specified groups from the vault.

# Syntax

Visual Basic |
--- | ---

    Sub RemoveGroups( _
       ByVal poGroupIDs() As System.Integer _
    )

C# |
--- | ---

    void RemoveGroups(
       System.int[] poGroupIDs
    )

C++/CLI |
--- | ---

    void RemoveGroups(
    &   System.array<int>^ poGroupIDs
    )

#### Parameters

poGroupIDs
  Array of IDs of the groups to remove (see Remarks)

# Example

Vault Utilities (VB.NET)
Vault Utilities (C#)

# Remarks

If you specify an ID in poGroupIDs that does not exist, it is ignored.

Return codes:

- S_OK: The method successfully executed.
- E_EDM_PERMISSION_DENIED: The logged-in user lacks the EdmSysPerm.EdmSysPerm_EditUserMgr permission.

# See Also

####

IEdmUserMgr7 Interface
IEdmUserMgr7 Members

# Availability

SOLIDWORKS PDM Professional 2010